import request from '@/utils/request'

// 00 生涯课程类型
export function types(params) {
    return request({
        url: '/front/sykc/types',
        method: 'get',
        params: params
    })
}

// 01 生涯课程列表
export function list(params) {
    return request({
        url: '/front/sykc/list',
        method: 'get',
        params: params
    })
}

// 02 生涯课程详情
export function info(params) {
    return request({
        url: '/front/sykc/info',
        method: 'get',
        params: params
    })
}

/**
 * 查询院校列表数据筛选项
 */
export function selectUniversity(){
  return request({
    url:`/front/university/filters`,
    method:'get'
  })
}

/**
 * 院校列表
 */
export function selectUniversityList( params){
  return request({
    url:`/front/university/list`,
    method:'get',
    params: params
  })
}
/**
 * 查询院校详情
 */
export function selectUniversityDetail(params){
  return request({
    url:`/front/university/detail`,
    method:'get',
    params:params
  })
}

//  是否为新高考
export function isNewCollegeExam(params) {
  return request({
      url: '/front/syzy/zytb/getUserIsUseNewCollegeEntranceExam',
      method: 'get',
      params: params
  })
}
